Skip to navigation

Retrieve the audit trail entries for a meter

View as Markdown

Retrieves the audit trail entries for a specific meter in Zuora Mediation. The API provides detailed, record-level information about what happened during processing, including Payload and error details, operator information, and the trace ID/event ID.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

meterIdlongRequired
ID of the meter.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Query parameters

exportTypeenumRequired

Type of the export. SAMPLE indicates an export of success records, ERROR indicates an export of error records.

Allowed values:
runTypeenumRequired

Specifies the type of run. DEBUG indicates a test run, NORMAL indicates a live run.

Allowed values:
sessionIdstringOptional
A specific session ID.
queryFromTimestringRequired

The minimum timestamp of the audit trail data. The value must be an ISO 8601 timestamp with a numeric timezone offset in the format YYYY-MM-DDTHH:MM:SS±HHMM. For UTC, use +0000.

queryToTimestringRequired

The maximum timestamp of the audit trail data. The value must be an ISO 8601 timestamp with a numeric timezone offset in the format YYYY-MM-DDTHH:MM:SS±HHMM. For UTC, use +0000.

operatorIdstringOptional
The ID of the operator. The Operator ID is displayed for each operator node, for both current meters and historic runs. On the Mediation UI, click on a test ID or session ID to see the details of the run.
pageSizeintegerOptional<=500Defaults to 30
Page size for pagination.
cursorstringOptional
nextPage token from previous response.

Response

OK
successbooleanOptional
Indicates whether the request was successful.
datalist of objectsOptional
List of audit trail entries for the specified meter. Each object represents a recorded event or operation associated with the meter.
previousPagestringOptional
Cursor for the previous page of audit records, if available. Used for backward pagination.
nextPagestringOptional
Cursor for the next page of audit records, if available. Used for forward pagination.
errorobjectOptional
Container for error information returned by the API when the request fails.

Errors

400
Bad Request Error
500
Internal Server Error